# InternalUIHandler (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Graphic

## Class InternalUIHandler

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Graphic.InternalUIHandler

All Implemented Interfaces:
  UIHandler, org.bukkit.event.Listener

    public class InternalUIHandler
    extends java.lang.Object
    implements UIHandler, org.bukkit.event.Listener

Internal GUI Listener

### Constructor Summary

Constructors
Constructor and Description
`InternalUIHandler(SubPlugin plugin)` Creates a new Internal GUI Listener

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean(org.bukkit.event.player.PlayerQuitEvent event)` Clean Renderers
`void` `click(org.bukkit.event.inventory.InventoryClickEvent event)` Click Listener
`void` `close(org.bukkit.event.inventory.InventoryCloseEvent event)` GUI Close Listener
`void` `disable()` Disable Listener
`InternalUIRenderer` `getRenderer(org.bukkit.entity.Player player)` Grabs the current Renderer for the player
`void` `input(org.bukkit.event.player.PlayerChatEvent event)` Input Listener
`void` `input(org.bukkit.event.player.PlayerCommandPreprocessEvent event)` Input Listener

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalUIHandler

    public InternalUIHandler(SubPlugin plugin)

Creates a new Internal GUI Listener

Parameters:
  `plugin` - Event

### Method Detail

#### getRenderer

    public InternalUIRenderer getRenderer(org.bukkit.entity.Player player)

Description copied from interface: `UIHandler`
Grabs the current Renderer for the player

Specified by:
  `getRenderer` in interface `UIHandler`
Parameters:
  `player` - Player
Returns:
  UIRenderer

#### disable

    public void disable()

Description copied from interface: `UIHandler`
Disable Listener

Specified by:
  `disable` in interface `UIHandler`

#### click

    public void click(org.bukkit.event.inventory.InventoryClickEvent event)

Description copied from interface: `UIHandler`
Click Listener

Specified by:
  `click` in interface `UIHandler`
Parameters:
  `event` - Event

#### input

    public void input(org.bukkit.event.player.PlayerChatEvent event)

Input Listener

Parameters:
  `event` - Event

#### input

    public void input(org.bukkit.event.player.PlayerCommandPreprocessEvent event)

Input Listener

Parameters:
  `event` - Event

#### close

    public void close(org.bukkit.event.inventory.InventoryCloseEvent event)

GUI Close Listener

Parameters:
  `event` - Event

#### clean

    public void clean(org.bukkit.event.player.PlayerQuitEvent event)

Clean Renderers

Parameters:
  `event` - Event